Get Labels
1 min
POST
https://api.upstartcommerce.com/v1/shipping-method/label
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe request body required to create shipping labels.
200<p>Success-labels returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/shipping-method/label \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"addrFrom": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"addrTo": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"carrierId": "DHL",
"packages": [
{
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
}
],
"serviceCode": "serviceCode"
}'